From 60383a90024734ea4febc3304add7e28a7c55564 Mon Sep 17 00:00:00 2001
From: Chang Rebecca Swee Fun <rebecca.swee.fun.chang@intel.com>
Date: Fri, 27 Aug 2021 19:40:14 +0800
Subject: [PATCH] socfpga_stratix10_socdk: pcie: include reference design dtsi

Signed-off-by: Chang Rebecca Swee Fun <rebecca.swee.fun.chang@intel.com>
---
 .../dts/altera/socfpga_stratix10_pcie.dtsi    | 53 +++++++++++++++++++
 .../dts/altera/socfpga_stratix10_socdk.dts    |  1 +
 2 files changed, 54 insertions(+)
 create mode 100644 arch/arm64/boot/dts/altera/socfpga_stratix10_pcie.dtsi

diff --git a/arch/arm64/boot/dts/altera/socfpga_stratix10_pcie.dtsi b/arch/arm64/boot/dts/altera/socfpga_stratix10_pcie.dtsi
new file mode 100644
index 000000000000..95f45b082c94
--- /dev/null
+++ b/arch/arm64/boot/dts/altera/socfpga_stratix10_pcie.dtsi
@@ -0,0 +1,53 @@
+/*
+* Add this piece of dtsi fragment as #include "socfpga_stratix10_pcie.dtsi"
+* in the file socfpga_stratix10_socdk.dts. Compile it in the kernel along with
+* socfpga_stratix10.dtsi.
+*/
+
+/{
+	soc {
+		bridge@80000000 {
+		compatible = "simple-bus";
+		reg = <0x80000000 0x20200000 0xf9000000 0x100000>;
+		reg-names = "axi_h2f", "axi_h2f_lw";
+		#address-cells = <0x2>;
+		#size-cells = <0x1>;
+		ranges = <0x0 0x0 0x80000000 0x40000 0x0 0x10000000 0x90000000 0x10000000 0x0 0x20000000 0xa0000000 0x200000 0x1 0x10000 0xf9010000 0x8000 0x1 0x18000 0xf9018000 0x80 0x1 0x18080 0xf9018080 0x10>;
+
+			pcie_0_pcie_s10: pcie@200000000 {
+				compatible = "altr,pcie-root-port-2.0";
+				reg = <0x0 0x20000000 0x200000 0x0 0x10000000 0x10000000 0x1 0x10000 0x8000>;
+				reg-names = "Hip", "Txs", "Cra";
+				interrupt-parent = <&intc>;
+				interrupts = <0x0 0x14 0x4>;
+				interrupt-controller;
+				#interrupt-cells = <0x1>;
+				device_type = "pci";
+				bus-range = <0x0 0xff>;
+				ranges = <0x82000000 0x0 0x0 0x0 0x10000000 0x0 0x8000000>;
+				msi-parent = <&pcie_0_msi_irq>;
+				#address-cells = <0x3>;
+				#size-cells = <0x2>;
+				dma-coherent;
+				interrupt-map-mask = <0x0 0x0 0x0 0x7>;
+				interrupt-map = <0x0 0x0 0x0 0x1 &pcie_0_pcie_s10 0x1 0x0 0x0 0x0 0x2 &pcie_0_pcie_s10 0x2 0x0 0x0 0x0 0x3 &pcie_0_pcie_s10 0x3 0x0 0x0 0x0 0x4 &pcie_0_pcie_s10 0x4>;
+				linux,phandle = <0x36>;
+				phandle = <0x36>;
+			};
+
+			pcie_0_msi_irq: msi@10008080 {
+				compatible = "altr,msi-1.0";
+				reg = <0x1 0x18080 0x10 0x1 0x18000 0x80>;
+				reg-names = "csr", "vector_slave";
+				interrupt-parent = <&intc>;
+				interrupts = <0x0 0x13 0x4>;
+				msi-controller = <0x1>;
+				num-vectors = <0x20>;
+				linux,phandle = <0x35>;
+				phandle = <0x35>;
+			};
+		};
+	};
+};
+
+
diff --git a/arch/arm64/boot/dts/altera/socfpga_stratix10_socdk.dts b/arch/arm64/boot/dts/altera/socfpga_stratix10_socdk.dts
index 5203cb0eeedc..4a26c2d09b52 100644
--- a/arch/arm64/boot/dts/altera/socfpga_stratix10_socdk.dts
+++ b/arch/arm64/boot/dts/altera/socfpga_stratix10_socdk.dts
@@ -5,6 +5,7 @@
 
 #include "socfpga_stratix10.dtsi"
 #include "socfpga_stratix10_qse.dtsi"
+#include "socfpga_stratix10_pcie.dtsi"
 
 / {
 	model = "SoCFPGA Stratix 10 SoCDK";
-- 
2.17.1

